Update GLIBC? Topic is solved

Suggestions for features and software you would like to see in DietPi, goes here.
Post Reply
ilgrank2
Posts: 14
Joined: Fri Feb 23, 2018 10:52 am

Update GLIBC?

Post by ilgrank2 »

Hello
I'm on Dietpi 6.3.0, and GLIBC version is 2.28.
Alas, the latest version of mosquitto requires GLIBC 2.29.
Is there a way to update GLIBC 'safely'? The new 6.33 beta has the same GLIBC version of 6.30?
Thanks!
User avatar
Joulinar
Posts: 2566
Joined: Sat Nov 16, 2019 12:49 am

Re: Update GLIBC?

Post by Joulinar »

Hi,

many thanks for your message. glibc is intalled via apt package from Debian repository. There latest available version on Buster is 2.28-10.

https://packages.debian.org/search?suit ... ords=glibc
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
ilgrank2
Posts: 14
Joined: Fri Feb 23, 2018 10:52 am

Re: Update GLIBC?

Post by ilgrank2 »

Thanks @Joulinar
you're right, need to wait for the next Debian version then.. is it on the roadmap?
User avatar
Joulinar
Posts: 2566
Joined: Sat Nov 16, 2019 12:49 am

Re: Update GLIBC?

Post by Joulinar »

In general Debian Bullseye should be released late summer 2021.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
MichaIng
Site Admin
Posts: 2421
Joined: Sat Nov 18, 2017 6:21 pm

Re: Update GLIBC?

Post by MichaIng »

ilgrank2 wrote: Mon Oct 12, 2020 7:09 pm Alas, the latest version of mosquitto requires GLIBC 2.29.
What do you mean by this? We install Mosquitto from the Debian repo, and where available, from the official Mosquitto repo, in both cases form the suites that match your installed Raspbian/Debian version. So it should always work with the installed GLIBC. If it does not, which device and which Debian version are you running?

Code: Select all

echo $G_HW_MODEL_NAME $G_DISTRO_NAME
Post Reply